/*   
 * 
 *   2016 by Timothée Giet
 *   Copyright (C) 2011 Ivan Cukic <ivan.cukic(at)kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2,
 *   or (at your option) any later version, as published by the Free
 *   Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

import QtQuick 2.5

Item {
    id: main

    width: screenSize.width
    height: screenSize.height
    // width: 300
    // height: 300

    /* property declarations --------------------------{{{ */
    property int stage
    /* }}} */

    /* signal declarations ----------------------------{{{ */

    /* }}} */

    /* JavaScript functions ---------------------------{{{ */
    onStageChanged: {
        if (stage == 1) {
            mageia.opacity = 0.25
        }
        if (stage == 2) {
            mageia.opacity = 1
        }
        if (stage == 3) {
            bubble1.opacity = 0.25
        }
        if (stage == 4) {
            bubble1.opacity = 1
            shadow.opacity = 0.25
        }
        if (stage == 5) {
            shadow.opacity = 1

        }
        if (stage == 6) {
        }
    }
    /* }}} */

    /* object properties ------------------------------{{{ */

    /* }}} */

    /* child objects ----------------------------------{{{ */

  Image {
    id: background
    source: "images/background.png"
    anchors.fill: parent

        anchors {
            top: parent.top
            left: parent.left
            right: parent.right
            bottom: parent.bottom

        }
        opacity: 1
    }

    
        Image {
        id: shadow
        smooth: true

        x: (parent.width) * 0.7
        y: (parent.height) * 0.1

        source: "images/shadows.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 3000; easing { type: Easing.InOutQuad } } }
    }
    
    
    Image {
        id: bubble1
        smooth: true

        x: (parent.width) * 0.7
        y: (parent.height) * 0.1

        source: "images/bigBubbles.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 3000; easing { type: Easing.InOutQuad } } }
    }



    Image {
        id: mageia
        smooth: true

        x: (parent.width) * 0.5
        y: (parent.height) * 0.6

        source: "images/logo.png"

        opacity: 0
        Behavior on opacity { NumberAnimation { duration: 3000; easing { type: Easing.InOutQuad } } }
    }

    /* }}} */

    /* stages -----------------------------------------{{{ */

    /* }}} */

    /* transitions ------------------------------------{{{ */

    /* }}} */
}
